<?php
// Version: 1.1; Display

function template_main()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

	// Show the anchor for the top and for the first message. If the first message is new, say so.
	echo '
			<a name="top"></a>
			<a name="msg', $context['first_message'], '"></a>', $context['first_new_message'] ? '<a name="new"></a>' : '';

	// Show the linktree
	echo theme_linktree();

	// Is this topic also a poll?
	if ($context['is_poll'])
	{
		echo '
                        <h3>', $txt['smf43'], '</h3>
                        <p>
                        	<strong>', $txt['smf21'], ':</strong> ', $context['poll']['question'];

                        if (!empty($context['poll']['expire_time']))
                        	echo '(', ($context['poll']['is_expired'] ? $txt['poll_expired_on'] : $txt['poll_expires_on']), ': ', $context['poll']['expire_time'], ')';

		echo '
                        </p>';

                // Are they not allowed to vote but allowed to view the options?
                if ($context['poll']['show_results'] || !$context['allow_vote'])
                {
                        echo '
                        <div style="float: right; width: 25%; text-align: left;">';

                        	// If they are allowed to revote - show them a link!
                        	if ($context['allow_change_vote'])
                        	        echo '
                        	<p style="margin: 0;"><a href="', $scripturl, '?action=vote;topic=', $context['current_topic'], '.', $context['start'], ';poll=', $context['poll']['id'], ';sesc=', $context['session_id'], '">', $txt['poll_change_vote'], '</a></p>';
                        
                        	// If we're viewing the results... maybe we want to go back and vote?
                        	if ($context['poll']['show_results'] && $context['allow_vote'])
                        		echo '
                        	<p style="margin: 0;"><a href="', $scripturl, '?topic=', $context['current_topic'], '.', $context['start'], '">', $txt['poll_return_vote'], '</a></p>';
                        
                        	// If they're allowed to lock the poll, show a link!
                        	if ($context['poll']['lock'])
                        		echo '
                        	<p style="margin: 0;"><a href="', $scripturl, '?action=lockVoting;topic=', $context['current_topic'], '.', $context['start'], ';sesc=', $context['session_id'], '">', !$context['poll']['is_locked'] ? $txt['smf30'] : $txt['smf30b'], '</a></p>';
                        
                        	// If they're allowed to edit the poll... guess what... show a link!
                        	if ($context['poll']['edit'])
                        		echo '
                        	<p style="margin: 0;"><a href="', $scripturl, '?action=editpoll;topic=', $context['current_topic'], '.', $context['start'], '">', $txt['smf39'], '</a>';

                        echo '
                        </div>';

                        echo '
                        <table width="15%" border="0" cellpadding="0" cellspacing="0">';
                        
                                // Show each option with its corresponding percentage bar.
                                foreach ($context['poll']['options'] as $option)
                        		echo '
                        	<tr>
                        		<td style="padding-right: 2ex;', $option['voted_this'] ? 'font-weight: bold;' : '', '">', $option['option'], '</td>', $context['allow_poll_view'] ? '
                        		<td nowrap="nowrap">' . $option['bar'] . ' ' . $option['votes'] . ' (' . $option['percent'] . '%)</td>' : '', '
                        	</tr>';
                        
                        echo '
                        </table>
                        <div style="clear: both;"></div>';

                        // If they're allowed to view the results of the poll, show the total vote count!
                        if ($context['allow_poll_view'])
                        	echo '
                       	<p><strong>' . $txt['smf24'] . ':</strong> ' . $context['poll']['total_votes'] . '</p>';

                }
                // They are allowed to vote! Go to it!
                else
                {
                        echo '
                        <form action="', $scripturl, '?action=vote;topic=', $context['current_topic'], '.', $context['start'], ';poll=', $context['poll']['id'], '" method="post" accept-charset="', $context['character_set'], '" style="margin: 0px;">';
                        	
                                // Show a warning if they are allowed more than one option.
                        	if ($context['poll']['allowed_warning'])
                        		echo '
                                <p>', $context['poll']['allowed_warning'], '</p>';
                                
                        echo '
                        	<div style="float: right; width: 46%; margin: 0 10px;">';

                        	// Allowed to view the results? (without voting!)
                        	if ($context['allow_poll_view'])
                        		echo '
                        		<p style="margin: 0;"><a href="', $scripturl, '?topic=', $context['current_topic'], '.', $context['start'], ';viewResults">', $txt['smf29'], '</a>';
                        
                        	// Show a link for locking the poll as well...
                        	if ($context['poll']['lock'])
                        		echo '
                        		<p style="margin: 0;"><a href="', $scripturl, '?action=lockVoting;topic=', $context['current_topic'], '.', $context['start'], ';sesc=', $context['session_id'], '">', (!$context['poll']['is_locked'] ? $txt['smf30'] : $txt['smf30b']), '</a>';
                        
                        	// Want to edit it? Click right here......
                        	if ($context['poll']['edit'])
                        		echo '
                        		<p style="margin: 0;"><a href="', $scripturl, '?action=editpoll;topic=', $context['current_topic'], '.', $context['start'], '">', $txt['smf39'], '</a>';


                        echo '
                                </div>
                                <div style="float: right; margin: 0 10px;">';

                        	// Show each option with its button - a radio likely.
                        	foreach ($context['poll']['options'] as $option)
                        		echo '
                                        ', $option['vote_button'], ' ', $option['option'], ' &nbsp;';

                        echo '
                        	        <p style="margin-top: 8px;"><input type="submit" value="', $txt['smf23'], '" /></p>
                        	</div>
                        	<input type="hidden" name="sc" value="', $context['session_id'], '" />
                        </form>
                        <div style="clear: both;"></div>';
                }
	}

        // Does this topic have some events linked to it?
	if (!empty($context['linked_calendar_events']))
        {
        	echo '
                        <h3>', $txt['calendar_linked_events'], '</h3>
                        <ul>';

        		foreach ($context['linked_calendar_events'] as $event)
        			echo '
        			<li>', ($event['can_edit'] ? '<a href="' . $event['modify_href'] . '" style="color: red;">*</a> ' : ''), '<strong>', $event['title'], '</strong>: ', $event['start_date'], ($event['start_date'] != $event['end_date'] ? ' - ' . $event['end_date'] : ''), '</li>';

        	echo '
        		</ul>';
        }

        // Show the topic information - icon, subject, etc.
        echo '
			<h3><a href="', $scripturl, '?topic=', $context['current_topic'], '.', $context['start'], '">', $context['subject'], '</a></h3>';
        echo '
                        <form action="', $scripturl, '?action=quickmod2;topic=', $context['current_topic'], '.', $context['start'], '" method="post" name="quickModForm" id="quickModForm" style="margin: 0;" onsubmit="return in_edit_mode == 1 ? modify_save(\'' . $context['session_id'] . '\') : confirm(\'' . $txt['quickmod_confirm'] . '\');">';

			// Get all the messages...
                        while ($message = $context['get_message']())
                        {

                        	// Show the message anchor and a "new" anchor if this message is new.
                        	if ($message['id'] != $context['first_message'])
                        		echo '
                        	<a name="msg', $message['id'], '"></a>', $message['first_new'] ? '<a name="new"></a>' : '';

                        	// Show the post itself, finally!
                        	echo '
                        	<div class="';
                                
                                if ($message['id'] != $context['first_message'])
                                {
                                	echo 'post2';
                                }
                                else
                                {
                                	echo 'post';
                               	}
                                  
                                echo '">';
                                
                                if ($message['id'] != $context['first_message'])
                                {
                                	echo '
                                        <p><span class="postdate">', $message['time'], '</span>', $message['member']['link'], '</p>';
                                }

                                echo '
                        		', $message['body'], '';

                        	// Assuming there are attachments...
                        	if (!empty($message['attachment']))
                        	{
                        		echo '
                        		<hr width="100%" size="1" class="hrcolor" />
                        		<div class="attachment">';
                        			foreach ($message['attachment'] as $attachment)
                        			{
                        				if ($attachment['is_image'])
                        				{
                        					if ($attachment['thumbnail']['has_thumb'])
                        						echo '
                        			<a href="', $attachment['href'], ';image" id="link_', $attachment['id'], '" onclick="', $attachment['thumbnail']['javascript'], '"><img src="', $attachment['thumbnail']['href'], '" alt="" id="thumb_', $attachment['id'], '" border="0" /></a><br />';
                        					else
                        						echo '
                        			<img src="' . $attachment['href'] . ';image" alt="" width="' . $attachment['width'] . '" height="' . $attachment['height'] . '" border="0" /><br />';
                        				}
                        				echo '
                        			<a href="' . $attachment['href'] . '"><img src="' . $settings['images_url'] . '/icons/clip.gif" align="middle" alt="*" border="0" />&nbsp;' . $attachment['name'] . '</a> (', $attachment['size'], ($attachment['is_image'] ? ', ' . $attachment['real_width'] . 'x' . $attachment['real_height'] . ' - ' . $txt['attach_viewed'] : ' - ' . $txt['attach_downloaded']) . ' ' . $attachment['downloads'] . ' ' . $txt['attach_times'] . '.)<br />';
                        			}

                        			echo '
                        		</div>';
                        	}


                        	// Show " Last Edit: Time by Person " if this post was edited.
                        	if ($settings['show_modify'] && !empty($message['modified']['name']))
                        		echo '
                        		<p style="font-size: 80%; margin-top: 10px;">&#171; <em>', $txt[211], ': ', $message['modified']['time'], ' ', $txt[525], ' ', $message['modified']['name'], '</em> &#187;</p>';


                        	// Show the member's signature?
                        	if (!empty($message['member']['signature']) && empty($options['show_no_signatures']))
                        		echo '
					<p class="signature">', $message['member']['signature'], '</p>';

					echo '
                        		<ul class="postbuttons';
                        		
                        		if ($message['id'] != $context['first_message'])
                                	{
                                        	echo '2';
                                	}
                                        
                                        echo'">';

                        		// Can they reply? Have they turned on quick reply?
                        		if ($context['can_reply'])
                        			echo '
                        			<li><a href="', $scripturl, '?action=post;quote=', $message['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';num_replies=', $context['num_replies'], ';sesc=', $context['session_id'], '" onclick="doQuote(', $message['id'], ', \'', $context['session_id'], '\'); return false;">' . $txt['smf240'] . '</a></li>';

                        		// Can the user modify the contents of this post?
                        		if ($message['can_modify'])
                        			echo '
                        			<li><a href="', $scripturl, '?action=post;msg=', $message['id'], ';topic=', $context['current_topic'], '.', $context['start'], ';sesc=', $context['session_id'], '">' . $txt[17] . '</a></li>';

                        		// How about... even... remove it entirely?!
                        		if ($message['can_remove'])
                        			echo '
                        			<li style="border: 0;"><a href="', $scripturl, '?action=deletemsg;topic=', $context['current_topic'], '.', $context['start'], ';msg=', $message['id'], ';sesc=', $context['session_id'], '" onclick="return confirm(\'', $txt[154], '?\');">' . $txt[31] . '</a></li>';

                        		// Show a checkbox for quick moderation?
                        		if (!empty($options['display_quick_mod']) && $options['display_quick_mod'] == 1 && $message['can_remove'])
                        			echo '
                        			<li style="border: 0; border-left: 2px #CCC solid; padding-left: 10px;"><input type="checkbox" name="msgs[]" value="', $message['id'], '" class="check" ', empty($settings['use_tabs']) ? 'onclick="document.getElementById(\'quickmodSubmit\').style.display = \'\';"' : '', ' /></li>';

                        	echo '
                        		</ul>';


                        	if ($message['id'] != $context['first_message']){}else
                                {
                        		// Show information about the poster of this message.
                        		echo '
                        		<p class="info">', $message['time'], '</p>
                        		<div id="about">
                        			<h4>', $txt['hcm_abouttheauthor'], '</h4>';
                        		
                        			// Show avatars, images, etc.?
                        			if (!empty($settings['show_user_images']) && empty($options['show_no_avatars']) && !empty($message['member']['avatar']['image']))
                        				echo '
						', $message['member']['avatar']['image'];
                                                    
                                        echo '
                                                <ul>
                                                    <li><strong>', $message['member']['link'], '</strong></li>';

                        		// Show the member's custom title, if they have one.
                        		if (isset($message['member']['title']) && $message['member']['title'] != '')
                        			echo '
                                                    <li>', $message['member']['title'], '</li>';

                        		// Show the member's primary group (like 'Administrator') if they have one.
                        		if (isset($message['member']['group']) && $message['member']['group'] != '')
                        			echo '
                                                    <li>', $message['member']['group'], '</li>';

                        		// Don't show these things for guests.
                        		if (!$message['member']['is_guest'])
                        		{
                        			// Show how many posts they have made.
                        			echo '
                                                    <li class="posts">', $txt[26], ': ', $message['member']['posts'], '</li>
                                                    <li class="images"><a href="mailto:', $message['member']['email'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/email_sm.gif" alt="' . $txt[69] . '" title="' . $txt[69] . '" border="0" />' : $txt[69]), '</a> <a href="', $message['member']['website']['url'], '" title="' . $message['member']['website']['title'] . '" target="_blank">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/www_sm.gif" alt="' . $txt[515] . '" border="0" />' : $txt[515]), '</a> ', $message['member']['msn']['link'], '</li>';
                        		}

                        		// Done with the information about the poster... on to the post itself.
                        		echo '
                                                </ul>
                        		</div>
                                        <div style="clear: both;"></div>';
                        	}
                        	echo '
                        	</div>';
                        	if ($message['id'] != $context['first_message']){}else
                                {
                                	echo '
                                <h4 id="commentsheading">', $txt['hcm_comments'], '</h4>';
                                }
                        }

	if ($context['show_spellchecking'])
		echo '
                        <script language="JavaScript" type="text/javascript" src="' . $settings['default_theme_url'] . '/spellcheck.js"></script>';

        	if ($context['can_reply'])
        		echo '
                        	<input type="hidden" name="sc" value="', $context['session_id'], '" />';

	echo '
			</form>';

        echo '
                        <a name="quickreply"></a>
                        <h4 id="addcommentsheading">', $txt['hcm_addcomment'], '</h4>';

        if ($context['can_reply'])
        {
                echo '
                        <div id="quickReplyOptions">
                        	<form action="', $scripturl, '?action=post2" method="post" name="postmodify" id="postmodify" onsubmit="submitonce(this);" style="margin: 0;">
                      			<input type="hidden" name="topic" value="' . $context['current_topic'] . '" />
                      			<input type="hidden" name="subject" value="' . $txt['response_prefix'] . $context['subject'] . '" />
                        		<input type="hidden" name="icon" value="xx" />
                        		<input type="hidden" name="notify" value="', $context['is_marked_notify'] || !empty($options['auto_notify']) ? '1' : '0', '" />
                        		<input type="hidden" name="goback" value="', empty($options['return_to_post']) ? '0' : '1', '" />
                        		<input type="hidden" name="num_replies" value="', $context['num_replies'], '" />
                        		<textarea cols="75" rows="7" style="width: 95%; height: 100px;" name="message" tabindex="1"></textarea><br />
                        		<input type="submit" name="post" value="' . $txt[105] . '" onclick="return submitThisOnce(this);" accesskey="s" tabindex="2" />
                        		<input type="submit" name="preview" value="' . $txt[507] . '" onclick="return submitThisOnce(this);" accesskey="p" tabindex="4" />';
        			if ($context['show_spellchecking'])
        				echo '
        				<input type="button" value="', $txt['spell_check'], '" onclick="spellCheck(\'postmodify\', \'message\');" />';
        			echo '
        				<input type="hidden" name="sc" value="' . $context['session_id'] . '" />
       				</form>
       			</div>';
        }
        else
        {
                echo '
       			<p>', $txt['hcm_comments_register'], '</p>';
        }
       			
       			// Show the page index... "Pages: [1]".
			echo '
			<p class="pages">', $txt[139], ': ', $context['page_index'], '</p>';

        		if ($context['show_spellchecking'])
        			echo '
        		<form name="spell_form" id="spell_form" method="post" target="spellWindow" action="', $scripturl, '?action=spellcheck"><input type="hidden" name="spellstring" value="" /></form>';

		if ($context['show_spellchecking'])
			echo '
			<form action="', $scripturl, '?action=spellcheck" method="post" accept-charset="', $context['character_set'], '" name="spell_form" id="spell_form" target="spellWindow"><input type="hidden" name="spellstring" value="" /></form>';
			
		echo '
                	<ul class="modbuttons">
                	      ', theme_show_mod_buttons(), '
                	</ul>';
}

function theme_show_mod_buttons()
{
	global $context, $settings, $options, $txt, $scripturl, $modSettings;

	$moderationButtons = array();

	if ($context['can_move'])
		$moderationButtons[] = '<li style="padding-left: 0; border: 0;"><a href="' . $scripturl . '?action=movetopic;topic=' . $context['current_topic'] . '.0">' . $txt[132] . '</a></li>';

	if ($context['can_delete'])
		$moderationButtons[] = '<li><a href="' . $scripturl . '?action=removetopic2;topic=' . $context['current_topic'] . '.0;sesc=' . $context['session_id'] . '" onclick="return confirm(\'' . $txt[162] . '\');">' . $txt[63] . '</a></li>';

	if ($context['can_lock'])
		$moderationButtons[] = '<li><a href="' . $scripturl . '?action=lock;topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id'] . '">' . (empty($context['is_locked']) ? $txt['smf279'] : $txt['smf280']) . '</a></li>';

	if ($context['can_sticky'])
		$moderationButtons[] = '<li><a href="' . $scripturl . '?action=sticky;topic=' . $context['current_topic'] . '.' . $context['start'] . ';sesc=' . $context['session_id'] . '">' . (empty($context['is_sticky']) ? $txt['smf277'] : $txt['smf278']) . '</a></li>';

	if ($context['can_merge'])
		$moderationButtons[] = '<li><a href="' . $scripturl . '?action=mergetopics;board=' . $context['current_board'] . '.0;from=' . $context['current_topic'] . '">' . $txt['smf252'] . '</a></li>';

	if ($context['can_remove_poll'])
		$moderationButtons[] = '<li><a href="' . $scripturl . '?action=removepoll;topic=' . $context['current_topic'] . '.' . $context['start'] . '" onclick="return confirm(\'' . $txt['poll_remove_warn'] . '\');">' . $txt['poll_remove'] . '</a></li>';

	if ($context['calendar_post'])
		$moderationButtons[] = '<li style="border-right: 0px;"><a href="' . $scripturl . '?action=post;calendar;msg=' . $context['topic_first_message'] . ';topic=' . $context['current_topic'] . '.0;sesc=' . $context['session_id'] . '">' . $txt['calendar37'] . '</a></li>';

        return implode($context['menu_separator'], $moderationButtons);

}
?>